Package org.gradle.api.artifacts

# Interface MutableVariantFilesMetadata

public interface MutableVariantFilesMetadata
Mutable information about the files that belong to a variant.

Since:
  6.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addFile(String name)`
  Add a file, if the file location is the same as the file name.
  `void`
  `addFile(String name, String url)`
  Add a file.
  `void`
  `removeAllFiles()`
  Remove all files already defined for the variant.

- ## Method Details

  - ### removeAllFiles

    void removeAllFiles()
    Remove all files already defined for the variant. Useful when files where initialized from a base variant or configuration using `ComponentMetadataDetails.addVariant(String, String, Action)` .

  - ### addFile

    void addFile(String name)
    Add a file, if the file location is the same as the file name.
    Parameters:
      `name` - name and path of the file.

  - ### addFile

    void addFile(String name, String url)
    Add a file.
    Parameters:
      `name` - name of the file
      `url` - location of the file, if not located next to the metadata in the repository